Bug 975844 - glance: inconsistency between API commands of image status: queued VS saving state
glance: inconsistency between API commands of image status: queued VS saving ...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-glance (Show other bugs)
4.0
x86_64 Linux
unspecified Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: RHOS Maint
Haim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 08:47 EDT by Haim
Modified: 2016-04-27 01:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-21 03:03:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2013-06-19 08:47:06 EDT
Description of problem:

in horizon, under images, image state is queued, and when I issue nova image-list same object (image) is in saving state.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. upload a new image
2. from horizon, go to images & snapshots, check statue
3. from compute, issue nova image-list, check status


Actual results:
+--------------------------------------+---------+--------+--------+
| ID                                   | Name    | Status | Server |
+--------------------------------------+---------+--------+--------+
| fc8496dd-e3e6-4f6f-a056-aa8a0a63488a | rhel6-4 | SAVING |        |
| 9edf8839-8d7a-4f9c-9e6b-6213e47e0cda | whatnot | ACTIVE |        |



Expected results:

same terminology, i.e: if its SAVING, then I want to see it in UI as well.

Additional info:

all in one topology.
Comment 1 Ayal Baron 2013-07-02 05:38:38 EDT
Haim,
Are you sure this wasn't just a race where it was queued before changing to saving state?

Note You need to log in before you can comment on or make changes to this bug.